﻿/* ClinicLineTest.cs
 * part of zaaReloaded2
 * 
 * Copyright 2017 Daniel Kraus
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
using NUnit.Framework;
using zaaReloaded2.LabModel;
using zaaReloaded2.Importer.ClinicImporter;

namespace Tests.Importer.ClinicImporter
{
    [TestFixture]
    class ClinicLineTest
    {
        [Test]
        public void ParseLine()
        {
            string demo = "\tNatrium:\t137\t[135 - 145]\tmmol/l";
            ClinicLine line = new ClinicLine(demo);
            Assert.IsTrue(line.IsClinicLine);
            Assert.AreEqual(137, line.Item.NumericalValue);
        }

        [Test]
        public void ParseInvalidLine()
        {
            // Missing leading tab
            string demo = "Natrium:\t137\t[135 - 145]\tmmol/l";
            ClinicLine line = new ClinicLine(demo);
            Assert.IsFalse(line.IsClinicLine);
        }
    }
}
